/*
 * @Author: Liugh
 * @Date: 2021-05-27 11:28:29
 * @LastEditTime: 2021-05-28 09:57:24
 * @LastEditors: Do not edit
 * @FilePath: \auth-web\src\api\log-manage.js
 * @Description:日志管理接口
 */
import axios from "@/utils/req";

export const base = `/auditsvr/v2`;

// 鉴权预警列表
export const warningProgrammeTableUrl = `${base}/warningProgramme/_search`;

// 鉴权统计列表
export const authenticationLogTableUrl = `${base}/authenticationLog/statistics`;

// 鉴权风险检测
export const authRiskDetectionUrl = `${base}/riskProgramme/_search`;

// 鉴权预警日志
export const authEarlyWarningInfo = `${base}/warningLog/_search`;

// 鉴权预警详情
export function warningProgrammeInfo(id) {
  return axios.get(`${base}/warningProgramme/${id}`);
}

// 鉴权预警编辑
export function riskProgramme(data) {
  return axios.put(`${base}/warningProgramme/${data.id}`, data);
}


// 鉴权风险方案详情
export function getAuthRiskDetail(id) {
  return axios.get(`/auditsvr/v2/riskProgramme/${id}`);
}

// 保存鉴权风险方案
export function saveAuthRisk(id, data) {
  return axios.put(`/auditsvr/v2/riskProgramme/${id}`, data);
}

// 鉴权预警日志详情
export function getAuthEarlyWarningDetail(id) {
  return axios.get(`/auditsvr/v2/warningLog/${id}`);
}