/**
 * 表单配置 - 案例
 * @Author: linqian
 * @Date: 2021-06-02 16:57
 */

// 页面操作
export const pageOptList = ['新增', '同步'];

// 表格操作
export const tableOptList = ['详情', '修改', '删除'];

/** ************************************  数据分级表码相关  **********************************/

export const dataLevelTableHeader = [
  {
    label: '代码',
    prop: 'levelCode'
  },
  {
    label: '数据分级',
    prop: 'levelName'
  },
  {
    label: '说明',
    prop: 'remark'
  }
];

export const dataLevelForm = [
  {
    label: '代码',
    prop: 'levelCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入代码', trigger: 'change' }],
    attr: {
      placeholder: ''
    },
    span: 24
  },
  {
    label: '数据分级',
    prop: 'levelName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入数据分级', trigger: 'change' }],
    attr: {
      placeholder: ''
    },
    span: 24
  },
  {
    label: '说明',
    prop: 'remark',
    component: 'ElInput',
    attr: {
      type: 'textarea',
      rows: 3,
      placeholder: ''
    },
    value: '',
    span: 24
  }
];

/** ************************************  数据安全级别相关  **********************************/

export const safeLevelForm = [
  {
    label: '代码',
    prop: 'secCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入代码', trigger: 'change' }],
    attr: {
      placeholder: ''
    },
    span: 24
  },
  {
    label: '数据安全级别',
    prop: 'secName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入数据安全级别', trigger: 'change' }],
    attr: {
      placeholder: ''
    },
    span: 24
  },
  {
    label: '说明',
    prop: 'remark',
    component: 'ElInput',
    attr: {
      type: 'textarea',
      rows: 3,
      placeholder: ''
    },
    value: '',
    span: 24
  }
];

/** ************************************  字段分类相关  **********************************/
export const fieldSortConditionForm = [
  {
    label: '字段一级分类',
    name: 'firName',
    op: 'like',
    value: '',
    component: 'ElInput'
  },
  {
    label: '字段二级分类',
    name: 'secName',
    op: 'like',
    value: '',
    component: 'ElInput'
  }
]


export const fieldSortConfig = [
  {
    label: '字段一级代码',
    prop: 'firCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入字段一级代码', trigger: 'change' }]
  },
  {
    label: '字段一级分类',
    prop: 'firName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入字段一级分类', trigger: 'change' }]
  },
  {
    label: '字段二级代码',
    prop: 'secCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入字段二级代码', trigger: 'change' }]
  },
  {
    label: '字段二级分类',
    prop: 'secName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入字段二级分类', trigger: 'change' }]
  },
  {
    label: '说明',
    prop: 'remark',
    component: 'ElInput',
    attr: {
      type: 'textarea',
      rows: 3
    },
    value: '',
    span: 24
  }
];

/** ************************************  数据资源分类表码  **********************************/
export const sourceSortConditionForm = [
  {
    label: '数据组织一级分类',
    name: 'firName',
    op: 'like',
    value: '',
    component: 'ElInput'
  },
  {
    label: '数据组织二级分类',
    name: 'secName',
    op: 'like',
    value: '',
    component: 'ElInput'
  },
  {
    label: '标签名称',
    name: 'labName',
    op: 'like',
    value: '',
    component: 'ElInput'
  }
]

export const sourceSortConfig = [
  {
    label: '一级代码',
    prop: 'firCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入一级代码', trigger: 'change' }]
  },
  {
    label: '数据组织一级分类',
    prop: 'firName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入数据组织一级分类', trigger: 'change' }]
  },
  {
    label: '二级代码',
    prop: 'secCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入二级代码', trigger: 'change' }]
  },
  {
    label: '数据组织二级分类',
    prop: 'secName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入数据组织二级分类', trigger: 'change' }]
  },
  {
    label: '标签分类代码',
    prop: 'labClaCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入标签分类代码', trigger: 'change' }]
  },
  {
    label: '标签分类',
    prop: 'labClaName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入标签分类', trigger: 'change' }]
  },
  {
    label: '标签代码',
    prop: 'labCode',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入标签代码', trigger: 'change' }]
  },
  {
    label: '标签名称',
    prop: 'labName',
    component: 'ElInput',
    value: '',
    rules: [{ required: true, message: '请输入标签名称', trigger: 'change' }]
  },
  {
    label: '说明',
    prop: 'remark',
    component: 'ElInput',
    attr: {
      type: 'textarea',
      rows: 3
    },
    value: '',
    span: 24
  }
];
