/*
 * @Author: Liugh
 * @Date: 2021-05-25 14:09:24
 * @LastEditTime: 2021-05-28 16:37:12
 * @LastEditors: Do not edit
 * @FilePath: \auth-web\src\pages\log-manage\DataConfig.js
 * @Description:
 */
const earlyWarningPlanTable = [{
    label: "鉴权预警方案名称",
    prop: "name"
  },
  {
    label: "创建时间",
    prop: "createTime",
    timestamp: true,
    dateFormat: "YYYY-MM-DD HH:mm:ss"
  },
  {
    label: "修改时间",
    prop: "updateTime",
    timestamp: true,
    dateFormat: "YYYY-MM-DD HH:mm:ss"
  },
  {
    label: "预警数量",
    prop: "number"
  },
  {
    label: "方案状态",
    // custom: true, // 如果需要自定义请加上这个属性，插槽名称为prop
    prop: "state",
    enum: "ProgrammeStateEnum"
  }
];
const earlyWarningPlanTableInfo = [{
    label: "方案名称",
    value: "name",
    span: 24
  },
  {
    label: "方案状态",
    value: "state",
    span: 24,
    enum: "ProgrammeStateEnum"
  },
  {
    label: "创建时间",
    value: "createTime",
    span: 12,
    isTime: true
  },
  {
    label: "修改时间",
    value: "updateTime",
    span: 12,
    isTime: true
  },
  {
    label: "预警规则",
    value: "ruleContent",
    span: 24
  },
  {
    label: "规则说明",
    value: "ruleExplain",
    span: 24
  },
  {
    label: "预警信息格式",
    value: "contentFormat",
    span: 24
  }
];
// 风险检测方案
const RiskDetectionPlan = [{
    label: "风险检测方案名称",
    prop: "name"
  },
  {
    label: "创建时间",
    prop: "createTime",
    timestamp: true,
    dateFormat: "YYYY-MM-DD HH:mm:ss"
  },
  {
    label: "修改时间",
    prop: "updateTime",
    timestamp: true,
    dateFormat: "YYYY-MM-DD HH:mm:ss"
  },
  {
    label: "风险数量",
    prop: "number"
  },
  {
    label: "方案状态",
    // custom: true, // 如果需要自定义请加上这个属性，插槽名称为prop
    prop: "state",
    enum: "ProgrammeStateEnum"
  }
];
// 鉴权预警信息
const EarlyWarningInfo = [{
    label: "姓名",
    prop: "creater",
    width: "250"
  },
  {
    label: "身份证号码",
    prop: "createrId",
    width: "250"
  },
  {
    label: "预警类型",
    prop: "programmeType",
    enum: "WarningProgrammeTypeEnum",
    width: "250"
  },
  {
    label: "预警时间",
    prop: "createTime",
    timestamp: true,
    dateFormat: "YYYY-MM-DD HH:mm:ss",
    width: "200"
  },
  {
    label: "预警信息",
    prop: "warningMsg"
  }
];
export {
  earlyWarningPlanTable,
  earlyWarningPlanTableInfo,
  RiskDetectionPlan,
  EarlyWarningInfo
};