/**
 * 数据配置
 * @Author: linqian
 * @Date: 2021-05-27 11:33
 */

/***********************************************  表格  ******************************************* */

// 授权管理日志
export const authManageLogTableHeader = [
    {
        label: "授权管理类型",
        prop: "authorizeType",
        enum: "AuthorizeTypeEnum"
    },
    {
        label: "权限处理主体",
        prop: "authorizeSubjectNames"
    },
    {
        label: "授权管理客体",
        prop: "authorizeObjectNames"
    },
    {
        label: "权限处理者",
        prop: "authorizeHandlerNames"
    },
    {
        label: "权限处理者身份证号码",
        prop: "authorizeHandlerIdcards"
    },
    {
        label: "处理时间",
        prop: "createTime",
        timestamp: true,
        dateFormat: "YYYY-MM-DD HH:mm:ss"
    },
    {
        label: "状态",
        prop: "state",
        enum: "AuthResultEnum"
    },
];

// 鉴权服务日志
export const authServiceLogTableHeader = [
    {
        label: "姓名",
        prop: "userName"
    },
    {
        label: "身份证号码",
        prop: "userIdcard"
    },
    {
        label: "鉴权请求者",
        prop: "requesterName"
    },
    {
        label: "请求者唯一标识",
        prop: "requesterId"
    },
    {
        label: "鉴权时间",
        prop: "createTime",
        timestamp: true,
        dateFormat: "YYYY-MM-DD HH:mm:ss"
    },
    {
        label: "终端标识",
        prop: "terminalId"
    },
    {
        label: "鉴权类型",
        prop: "authenticationType",
        enum: "AuthenticationTypeEnum"
    },
    {
        label: "鉴权结果",
        prop: "state",
        enum: "AuthResultEnum",
        width: "150"
    }
];

// 鉴权风险日志
export const authRiskLogTableHeader = [
    {
        label: "风险产生方",
        prop: "creater"
    },
    {
        label: "风险产生方标识",
        prop: "createrId"
    },
    {
        label: "风险发生时间",
        prop: "createTime",
        timestamp: true,
        dateFormat: "YYYY-MM-DD HH:mm:ss"
    },
    {
        label: "风险类型",
        prop: "riskType",
        enum: "RiskProgrammeTypeEnum"
    },
    {
        label: "鉴权请求方",
        prop: "requesterName"
    },
    {
        label: "风险内容",
        prop: "riskContent"
    }
];


/***********************************************  详情  ******************************************* */

// 鉴权风险日志详情
export const authRiskLogDetail = [
    {
        label: "风险产生方",
        prop: "creater"
    },
    {
        label: "风险产生方标识",
        prop: "createrId"
    },
    {
        label: "风险发生时间",
        prop: "createTime",
        dateFormat: "YYYY-MM-DD HH:mm:ss"
    },
    {
        label: "风险类型",
        prop: "riskType",
        enum: "RiskProgrammeTypeEnum"
    },
    {
        label: "鉴权请求者",
        prop: "requesterName"
    },
    {
        label: "鉴权请求者标识",
        prop: "requesterId"
    },
    {
        label: "风险内容",
        prop: "riskContent",
        span: 24
    },
    {
        label: "处理建议",
        prop: "handleOpinion",
        span: 24
    }
];

// 鉴权服务日志详情
export const authServiceLogDetail = [
    {
        label: "姓名",
        prop: "userName"
    },
    {
        label: "身份证号码",
        prop: "userIdcard"
    },
    {
        label: "鉴权请求者",
        prop: "requesterName"
    },
    {
        label: "请求者唯一标识",
        prop: "requesterId"
    },
    {
        label: "鉴权时间",
        prop: "createTime",
        dateFormat: "YYYY-MM-DD HH:mm:ss"
    },
    {
        label: "终端标识",
        prop: "terminalId"
    },
    {
        label: "鉴权令牌",
        prop: "tokens",
        span: 24
    },
    {
        label: "鉴权类型",
        prop: "authenticationType",
        enum: "AuthenticationTypeEnum"
    },
    {
        label: "鉴权结果",
        prop: "state",
        enum: "AuthResultEnum"
    },
    {
        label: "鉴权内容",
        prop: "content",
        span: 24
    }
];
