/**
 * 授权客体管理路由模块
 * @Author: linqian
 * @Date:   2021-09-07 14:20
 */
import Layout from '@/pages/layout/layout';
const componentsRouter = {
  path: '/auth-object-manage',
  component: Layout,
  redirect: '/auth-object-manage',
  meta: { title: '授权客体管理', icon: 'icon-audit', noCache: true, permission: ['QXGL_SQGL_KTGL'] },
  alwaysShow: true,
  children: [
    {
      path: 'appfun-resource-manage',
      component: () => import('@/pages/auth-object-manage/appfun-resource-manage'),
      name: 'appfun-resource-manage',
      meta: {
        title: '应用功能资源管理',
        noCache: true,
        permission: ['QXGL_SQGL_KTGL_YYGNGL']
      }
    },
    {
      path: 'service-resource-manage',
      component: () => import('@/pages/auth-object-manage/service-resource-manage'),
      name: 'service-resource-manage',
      meta: { title: '服务资源管理', noCache: true, permission: ['QXGL_SQGL_KTGL_FWZYGL'] }
    },
    {
      path: 'sort-code-manage',
      component: () => import('@/pages/auth-object-manage/sort-code-manage'),
      name: 'sort-code-manage',
      meta: { title: '数据分级分类管理', noCache: true, permission: ['QXGL_SQGL_KTGL_SJFJFLBM'] }
    },
    {
      path: 'object-prop-manage',
      component: () => import('@/pages/auth-object-manage/object-prop-manage'),
      name: 'object-prop-manage',
      meta: { title: '客体属性管理', noCache: true, permission: ['QXGL_SQGL_ZTGL_KTSXLGL'], layout: 'page' }
    },
    {
      path: 'statistics',
      component: () => import('@/pages/auth-object-manage/statistics/index.vue'),
      name: 'auth-subject-manage-statistics',
      meta: { title: '统计', noCache: true, permission: ['QXGL_SQGL_KTGL_TJ'] }
    }
  ]
};
export default componentsRouter;
