/**
 * 授权主体管理路由模块
 * @Author: linqian
 * @Date:   2021-09-07 14:20
 */
import Layout from "@/pages/layout/layout"
const componentsRouter = {
    path: "/auth-subject-manage",
    component: Layout,
    redirect: "/auth-subject-manage",
    meta: { title: "授权主体管理", icon: "icon-boxopen", noCache: true, permission: ["QXGL_SQGL_ZTGL"] },
    alwaysShow: true,
    children: [
        {
            path: "user-prop-manage",
            component: () => import("@/pages/auth-subject-manage/user-prop-manage"),
            name: "user-prop-manage",
            meta: { title: "用户管理", noCache: true, permission: ["QXGL_SQGL_ZTGL_YHSXGL"] }
        },
        {
            path: "org-prop-manage",
            component: () => import("@/pages/auth-subject-manage/org-prop-manage"),
            name: "org-prop-manage",
            meta: { title: "机构管理", noCache: true, permission: ["QXGL_SQGL_ZTGL_JGSXGL"], layout: "page" }
        },
        {
            path: "app-prop-manage",
            component: () => import("@/pages/auth-subject-manage/app-prop-manage"),
            name: "app-prop-manage",
            meta: { title: "应用管理", noCache: true, permission: ["QXGL_SQGL_ZTGL_YYSXGL"] }
        },
        {
            path: "subject-prop-manage",
            component: () => import("@/pages/auth-subject-manage/subject-prop-manage"),
            name: "subject-prop-manage",
            meta: { title: "主体属性管理", noCache: true, permission: ["QXGL_SQGL_ZTGL_ZTSXLGL"], layout: "page" }
        },
        {
            path: "environment-element",
            component: () => import("@/pages/auth-subject-manage/environment-element"),
            name: "environment-element",
            meta: { title: "主体环境要素管理", noCache: true, permission: ["QXGL_SQGL_ZTGL_ZTHJYSGL"] }
        },
        {
            path: "statistics",
            component: () => import("@/pages/auth-subject-manage/statistics/index.vue"),
            name: "auth-subject-manage-statistics",
            meta: { title: "统计", noCache: true, permission: ["QXGL_SQGL_ZTGL_TJ"] }
        }
    ]
}
export default componentsRouter
