/**
 * 数据授权管理路由模块
 * @Author: linqian
 * @Date:   2021-09-07 14:20
 */
import Layout from '@/pages/layout/layout';
const componentsRouter = 
  {
    path: '/data-auth-manage',
    component: Layout,
    meta: { title: '数据授权管理', icon: 'icon-permission', noCache: true, permission: ['QXGL_SQGL_SJSQGL'] },
    alwaysShow: true,
    children: [
      {
        path: 'business-tag-auth',
        component: () =>
          import('@/pages/data-auth-manage/business-tag-auth.vue'),
        name: 'business-tag-auth',
        meta: { title: '属性授权管理', noCache: true, permission: ['QXGL_SQGL_SJSQGL_BQSQ'], layout: 'page' }
      },
      {
        path: 'person-auth',
        component: () => import('@/pages/data-auth-manage/person-auth.vue'),
        name: 'person-auth',
        meta: { title: '人员授权管理', noCache: true, permission: ['QXGL_SQGL_SJSQGL_RYSQ'], layout: 'page' }
      },
      {
        path: 'org-auth',
        component: () => import('@/pages/data-auth-manage/org-auth.vue'),
        name: 'org-auth',
        meta: { title: '机构授权管理', noCache: true, permission: ['QXGL_SQGL_SJSQGL_JGSQ'], layout: 'page' }
      }
    ]
  }

export default componentsRouter;
