/**
 * 名单管理路由模块
 * @Author: linqian
 * @Date:   2021-09-07 14:20
 */
import Layout from '@/pages/layout/layout';
const componentsRouter = 
  {
    path: '/list-manage',
    component: Layout,
    meta: { title: '名单管理', icon: 'icon-list3', noCache: true, permission: ['QXGL_MDGL'] },
    alwaysShow: true,
    children: [
      {
        path: 'white',
        component: () => import('@/pages/list-manage/white-list-manage'),
        name: 'white-list-manage',
        meta: { title: '白名单管理', noCache: true, permission: ['QXGL_MDGL_BMDGL'] }
      },
      {
        path: 'red',
        component: () => import('@/pages/list-manage/red-list-manage'),
        name: 'red-list-manage',
        meta: { title: '红名单管理', noCache: true, permission: ['QXGL_MDGL_HMDGL'] }
      }
    ]
  }

export default componentsRouter;
