/*
 * @Author: Liugh
 * @Date: 2021-05-25 11:19:26
 * @LastEditTime: 2021-05-28 10:15:02
 * @LastEditors: Do not edit
 * @FilePath: \auth-web\src\router\modules\log-manage.js
 * @Description: 日志管理模块
 */
import Layout from '@/pages/layout/layout';
const componentsRouter = [
  // // 异常鉴权预警管理
  {
    path: '/err-auth-earlywarning-manage',
    component: Layout,
    meta: { title: '异常鉴权预警管理', icon: 'icon-alarm', noCache: true, permission: ['QXGL_RZGL_YCJQYJGL'] },
    alwaysShow: true,
    children: [
      {
        path: 'auth-earlywarning-plan',
        component: () => import('@/pages/log-manage/err-auth-earlywarning-manage/auth-earlywarning-plan'),
        name: 'auth-earlywarning-plan',
        meta: {
          title: '异常鉴权预警管理',
          noCache: true,
          permission: ['QXGL_RZGL_YCJQYJGL_JQYJFA']
        }
      },
      {
        path: 'auth-earlywarning-info',
        component: () => import('@/pages/log-manage/err-auth-earlywarning-manage/auth-earlywarning-info'),
        name: 'auth-earlywarning-info',
        meta: {
          title: '异常鉴权预警查询',
          noCache: true,
          permission: ['QXGL_RZGL_YCJQYJGL_JQYJXX']
        }
      }
    ]
  },
  {
    path: '/auth-risk-detection',
    component: Layout,
    redirect: '/index',
    meta: {
      title: '鉴权风险检测',
      icon: 'icon-warning2',
      noCache: true,
      permission: ['QXGL_RZGL_JQFXJC']
    },
    children: [
      {
        path: 'index',
        component: () => import('@/pages/log-manage/auth-risk-detection/index'),
        name: 'auth-risk-detection',
        meta: {
          title: '鉴权风险检测',
          noCache: true,
          permission: ['QXGL_RZGL_JQFXJC']
        }
      }
    ]
  },
  {
    path: '/log-manage',
    component: Layout,
    redirect: '/log-manage',
    alwaysShow: true,
    meta: { title: '权限日志管理', icon: 'icon-log1', noCache: true, permission: ['QXGL_RZGL'] },
    children: [
      {
        path: 'auth-manage-log',
        component: () => import('@/pages/log-manage/permiss-log-manage/auth-manage-log'),
        name: 'auth-manage-log',
        meta: {
          title: '授权管理日志',
          noCache: true,
          permission: ['QXGL_RZGL_QXRZGL_SQGLRZ']
        }
      },
      {
        path: 'auth-service-log',
        component: () => import('@/pages/log-manage/permiss-log-manage/auth-service-log'),
        name: 'auth-service-log',
        meta: {
          title: '鉴权服务日志',
          noCache: true,
          permission: ['QXGL_RZGL_QXRZGL_JQFWRZ']
        }
      },
      {
        path: 'auth-risk-log',
        component: () => import('@/pages/log-manage/permiss-log-manage/auth-risk-log'),
        name: 'auth-risk-log',
        meta: {
          title: '鉴权风险日志',
          noCache: true,
          permission: ['QXGL_RZGL_QXRZGL_JQFXRZ']
        }
      },
      {
        path: 'author-risk-log',
        component: () => import('@/pages/log-manage/author-risk-log'),
        name: 'author-risk-log',
        meta: {
          title: '授权风险日志',
          noCache: true,
          permission: ['QXGL_RZGL_QXRZGL_SQFXRZ', 'QXGL_RZGL_QXRZGL_JQFXRZ']
        }
      },
      {
        path: 'auth-scope-log',
        component: () => import('@/pages/log-report/scope-author-audit'),
        name: 'scope-author-audit',
        meta: { title: '授权范围日志', icon: 'el-icon-setting', noCache: false, permission: ['YHGLPT_YHGL_GLYSJ'] }
      }
    ]
  }
];

export default componentsRouter;
